/* MethodDesc.java
 *
 * Copyright (C) 2000  Oskar Liljeblad
 *
 * This file is part of DeDoc.
 *
 * This software is copyrighted work licensed under the terms of the
 * DeDoc License.  Please consult the file "LICENSE" for details.
 */

package org.gjt.osk.dedoc;

/**
 * Objects of this class represent methods.
 */
public class MethodDesc extends CallableDesc {
	private String returnType;

	/**
	 * Create a method description object.
	 */
	public MethodDesc(ClassDesc classDesc, String name) {
		super(classDesc, name);
	}

	/**
	 * Set the return type of this method. Constructors'
	 * lack of return type is represented here with <tt>null</tt>.
	 */
	public void setReturnType(String returnType) {
		this.returnType = returnType;
	}

	/**
	 * Return the return type of this object.
	 */
	public String getReturnType() {
		return returnType;
	}

	/**
	 * Generate code for the method.
	 */
	public void generate(JavaSourceWriter out, int bodyLevel) {
		super.generate(out, returnType, bodyLevel);
	}
}
