/* OptionParserException.java
 * 
 * Copyright (C) 1999-2000  Oskar Liljeblad
 *
 * This file is part of Oskar Liljeblad's Utility libraries.
 *
 * This software is copyrighted work licensed under the terms of the
 * GNU GPL License.  Please consult the file "COPYING" for details.
 */

package org.gjt.osk.util.options;

/**
 * An exception indicating that there was an error in the parsed
 * strings or during parsing.
 */
public abstract class OptionParserException extends Exception {
	/**
	 * The option string this exception applies to.
	 */
	protected String option;

	/**
	 * Construct an exception specifying option that caused the
	 * exception.
	 */
	protected OptionParserException(String option, String msg) {
		super(msg);
		this.option = option;
	}
}
